C
C	Author		: Patrick Feldner
C
C	Purpose		: The purpose of this program is to disuser all the
C			  accounts input from the terminal
C
C

	Subroutine Disuser1

	Integer	     count
	Integer      length
	Character*12 UserName

	external lib$do_command

	Parameter ( screen=1 )

	count=0
	call OpenCom
400	Username='            '
	write (screen,410)
410	format (1x,'Name > ',$)
	read (screen,411,err=999) length,Username
411	format (Q,A)
	if (length .eq. 0) goto 400

	count=count+1

	call WriteCom(Username)

	goto 400

999	call CloseCom
	if (count .gt.0) then
		write (screen,1000)
1000		format (1x,'%%%%% Batch Job Submitted')
		call lib$do_command
     +	('SUBMIT MAKACT_WORK:DISUSER.COM/NOPRINTER/QUEUE=MAKACT_Q')
	end if

	Return
	end
